-- Config

PLAYER_SPAWN_START_ITEMS = {
    {name="pistol", count=1},
    {name="firearm-magazine", count=100},
	{name="shotgun", count=1},
	{name="shotgun-shell", count=100},
    {name="iron-plate", count=200},
	{name="copper-plate", count=100},
    {name="burner-mining-drill", count = 16},
    {name="stone-furnace", count = 12},
	{name="landfill", count = 100}
}

PLAYER_RESPAWN_START_ITEMS = {
    {name="pistol", count=1},
    {name="firearm-magazine", count=20}
}

PLAYER_SPAWN_START_ITEMS2 = {
    {name="submachine-gun", count=1},
    {name="piercing-rounds-magazine", count=800},
	{name="combat-shotgun", count=1},
	{name="shotgun-shell", count=100},
	{name="cluster-grenade", count=100},
	{name="gun-turret", count=4},
    {name="iron-plate", count=200},
	{name="steel-plate", count=100},
	{name="copper-plate", count=100},
    {name="burner-mining-drill", count = 16},
    {name="stone-furnace", count = 12},
	{name="landfill", count = 100}
}

PLAYER_SPAWN_START_ITEMS3 = {
    {name="submachine-gun", count=1},
    {name="uranium-rounds-magazine", count=800},
	{name="combat-shotgun", count=1},
	{name="piercing-shotgun-shell", count=100},
	{name="cluster-grenade", count=200},
	{name="gun-turret", count=8},
    {name="iron-plate", count=200},
	{name="steel-plate", count=100},
	{name="copper-plate", count=100},
    {name="burner-mining-drill", count = 16},
    {name="stone-furnace", count = 12},
	{name="landfill", count = 100}
}

--------------------------------------
-- ENTITY HEALING
--------------------------------------
healing_amount = {
	["rock-big"] = 0.03,
	["sand-rock-big"] = 0.03,
	["rock-huge"] = 0.03,
	["mineable-wreckage"] = 50
}

--------------------------------------
-- HUNGER
--------------------------------------
player_hunger_fish_food_value = 10
player_hunger_spawn_value = 80

--------------------------------------
-- FISH RESPAWNER
--------------------------------------
fish_respawn_interval = 28800							--interval in ticks
global.fish_respawner_water_tiles_per_fish = 128		--amount of water tiles required per fish >> high values = less fish density, low values = high fish density
global.fish_respawner_max_respawnrate_per_chunk = 1		--maximum amount of fish that will spawn each interval in one chunk		

valid_water_tiles = {
	"water",
	"deepwater",
	"water-green",
	"deepwater-green"
}

--------------------------------------
-- FLUIDS ARE EXPLOSIVE
--------------------------------------

fluid_damages = {
	["acetylene"] = 7,
	["coal-gas"] = 5,
	["combustion-mixture1"] = 7,
	["combustion-mixture2"] = 8,
	["crude-oil"] = 5,
	["diborane"] = 7,
	["diesel"] = 6,
	["gas-butadiene"] = 6,
	["gas-butane"] = 8,
	["gas-ethane"] = 8,
	["gas-ethylbenzene"] = 6,
	["gas-hydrogen"] = 8,
	["gas-methane"] = 8,
	["gas-methanol"] = 6,
	["gas-natural-1"] = 5,
	["gas-propene"] = 8,
	["gas-raw-1"] = 5,
	["gasoline"] = 8,
	["heavy-oil"] = 6,
	["hydrogen"] = 9,
	["kerosene"] = 7,
	["light-oil"] = 7,
	["liquid-fuel"] = 6,
	["liquid-fuel-oil"] = 6,
	["liquid-multi-phase-oil"] = 4,
	["liquid-naphtha"] = 6,
	["methanol"] = 5,
	["petroleum-gas"] = 8,
	["refsyngas"] = 7,
	["syngas"] = 6,
	["xylenol"] = 5
}

--------------------------------------
-- CRASHSITE -------------------------
--------------------------------------
ships = {"big-ship-wreck-1", "big-ship-wreck-2", "big-ship-wreck-3"}

--------------------------------------
-- ROCKS YIELD ORE
--------------------------------------
rock_yield = {
	["rock-big"] = 1,
	["rock-huge"] = 2,
	["sand-rock-big"] = 1	
}

rock_mining_chance_weights = {
	{"iron-ore", 1},
	{"copper-ore",1},
	{"coal",2},
	{"stone",2}
}

--------------------------------------
-- ROCKS YIELD COINS
--------------------------------------
rock_coin_yield = {
	["rock-big"] = 1,
	["rock-huge"] = 2,
	["sand-rock-big"] = 1	
}

--------------------------------------
--BITER YIELD COINS
--------------------------------------
biter_coin_yield = {
	["spitter-spawner"] = 30,
	["biter-spawner"] = 24,	
	["small-worm-turret"] = 4,
	["medium-worm-turret"] = 8,
	["big-worm-turret"] = 16
}

entities_that_earn_coins = {
	["artillery-turret"] = true,
	["gun-turret"] = true,
	["laser-turret"] = true,
	["flamethrower-turret"] = true
}

--------------------------------------
-- SPAWNER CONTAIN BITER
--------------------------------------
biter_building_inhabitants = {
	[1] = {{"small-biter",2,4}},
	[2] = {{"small-biter",3,6}},
	[3] = {{"small-biter",2,4},{"medium-biter",1,2}},
	[4] = {{"small-biter",2,4},{"medium-biter",2,4}},
	[5] = {{"small-biter",1,2},{"medium-biter",3,5}},
	[6] = {{"small-biter",1,2},{"medium-biter",3,5},{"big-biter",1,2}},
	[7] = {{"medium-biter",4,6},{"big-biter",1,2}},
	[8] = {{"medium-biter",4,6},{"big-biter",2,4}},
	[9] = {{"medium-biter",1,2},{"big-biter",4,8}},
	[10] = {{"big-biter",2,4},{"behemoth-biter",1,2}}
}

--------------------------------------
-- SPLICE
--------------------------------------
biter_fragmentation = {
		["medium-biter"] = {"small-biter", 1},
		["big-biter"] = {"medium-biter", 1},
		["behemoth-biter"] = {"big-biter", 1}
}

--------------------------------------
-- WRECKAGE YIELD COINS
--------------------------------------
wreckage_coin_yield = {
	["mineable-wreckage"] = 1
}

--------------------------------------
-- JUNK YIELD ORE VEINS
--------------------------------------
junk_mining_chance_weights = {
	{"iron-ore", 25},
	{"copper-ore",25},
	{"coal",20},
	{"stone",20},
	{"uranium-ore",10}
}

junk_size_raffle = {
	{"huge", 40, 50},
	{"big", 22, 35},
	{"", 14, 18},
	{"tiny", 5, 10}
}

--------------------------------------
-- COIN BANK
--------------------------------------
bank_messages = {
	"Coinbank. The only choice.",
	"Coinbank, because inventory space matters!",
	"9 out of 10 felines only trust in Coinbank.",
	"Don´t trust Trump, trust Coinbank"
}

--------------------------------------
-- WRECKAGE YIELDS SCRAP
--------------------------------------
mining_chance_weights = {
	{name = "iron-plate", chance = 1000},
	{name = "iron-gear-wheel", chance = 750},	
	{name = "copper-plate", chance = 750},
	{name = "copper-cable", chance = 500},	
	{name = "electronic-circuit", chance = 300},
	{name = "steel-plate", chance = 200},
	{name = "stone-brick", chance = 200},
	{name = "solid-fuel", chance = 150},
	{name = "pipe", chance = 100},
	{name = "iron-stick", chance = 50},
	{name = "battery", chance = 20},
	{name = "empty-barrel", chance = 10},
	{name = "crude-oil-barrel", chance = 30},
	{name = "lubricant-barrel", chance = 20},
	{name = "petroleum-gas-barrel", chance = 15},
	{name = "sulfuric-acid-barrel", chance = 15},
	{name = "heavy-oil-barrel", chance = 15},
	{name = "light-oil-barrel", chance = 15},
	{name = "water-barrel", chance = 10},
	{name = "green-wire", chance = 10},
	{name = "red-wire", chance = 10},
	{name = "explosives", chance = 8},
	{name = "advanced-circuit", chance = 5},
	{name = "nuclear-fuel", chance = 1},
	{name = "pipe-to-ground", chance = 10},
	{name = "plastic-bar", chance = 5},
	{name = "processing-unit", chance = 2},
	{name = "used-up-uranium-fuel-cell", chance = 1},
	{name = "uranium-fuel-cell", chance = 1},
	{name = "rocket-fuel", chance = 3},
	{name = "rocket-control-unit", chance = 1},	
	{name = "low-density-structure", chance = 1},	
	{name = "heat-pipe", chance = 1},
	{name = "engine-unit", chance = 4},
	{name = "electric-engine-unit", chance = 2},
	{name = "logistic-robot", chance = 1},
	{name = "construction-robot", chance = 1},
	{name = "land-mine", chance = 10},	
	{name = "grenade", chance = 10},
	{name = "rocket", chance = 3},
	{name = "explosive-rocket", chance = 3},
	{name = "cannon-shell", chance = 2},
	{name = "explosive-cannon-shell", chance = 2},
	{name = "uranium-cannon-shell", chance = 1},
	{name = "explosive-uranium-cannon-shell", chance = 1},
	{name = "artillery-shell", chance = 1},
	{name = "cluster-grenade", chance = 2},
	{name = "defender-capsule", chance = 5},
	{name = "destroyer-capsule", chance = 1},
	{name = "distractor-capsule", chance = 2},
	{name = "transport-belt", chance = 20},
	{name = "fast-transport-belt", chance = 10},
	{name = "express-transport-belt", chance = 3},
	{name = "underground-belt", chance = 10},
	{name = "fast-underground-belt", chance = 4},
	{name = "express-underground-belt", chance = 1},
	{name = "splitter", chance = 10},
	{name = "fast-splitter", chance = 4},
	{name = "express-splitter", chance = 1},
	{name = "rail", chance = 12},
	{name = "rail-signal", chance = 4},
	{name = "rail-chain-signal", chance = 2},
	{name = "train-stop", chance = 0.7},
	{name = "cliff-explosives", chance = 0.4},
	{name = "inserter", chance = 18},
	{name = "long-handed-inserter", chance = 5},
	{name = "fast-inserter", chance = 12},
	{name = "filter-inserter", chance = 6},
	{name = "stack-inserter", chance = 3},
	{name = "stack-filter-inserter", chance = 1}
}

scrap_yield_amounts = {
	["iron-plate"] = 4,
	["iron-gear-wheel"] = 2,
	["iron-stick"] = 4,
	["copper-plate"] = 4,
	["copper-cable"] = 6,
	["electronic-circuit"] = 2,
	["steel-plate"] = 2,
	["stone-brick"] = 3,
	["pipe"] = 2,
	["solid-fuel"] = 1,
	["empty-barrel"] = 2,
	["crude-oil-barrel"] = 1,
	["lubricant-barrel"] = 1,
	["petroleum-gas-barrel"] = 1,
	["sulfuric-acid-barrel"] = 1,
	["heavy-oil-barrel"] = 1,
	["light-oil-barrel"] = 1,
	["water-barrel"] = 1,
	["battery"] = 1,
	["explosives"] = 1,
	["advanced-circuit"] = 1,
	["nuclear-fuel"] = 0.1,
	["pipe-to-ground"] = 0.5,
	["plastic-bar"] = 0.8,
	["processing-unit"] = 0.5,
	["used-up-uranium-fuel-cell"] = 0.2,
	["uranium-fuel-cell"] = 0.1,
	["rocket-fuel"] = 0.2,
	["rocket-control-unit"] = 0.1,
	["low-density-structure"] = 0.1,
	["heat-pipe"] = 0.3,
	["green-wire"] = 2,
	["red-wire"] = 2,
	["engine-unit"] = 1,
	["electric-engine-unit"] = 0.8,
	["logistic-robot"] = 0.1,
	["construction-robot"] = 0.1,
	["land-mine"] = 0.8,
	["grenade"] = 1,
	["rocket"] = 1,
	["explosive-rocket"] = 1,
	["cannon-shell"] = 1,
	["explosive-cannon-shell"] = 1,
	["uranium-cannon-shell"] = 1,
	["explosive-uranium-cannon-shell"] = 0.8,
	["artillery-shell"] = 0.1,
	["cluster-grenade"] = 0.3,
	["defender-capsule"] = 1,
	["destroyer-capsule"] = 0.1,
	["distractor-capsule"] = 0.1,
	["transport-belt"] = 8,
	["fast-transport-belt"] = 4,
	["express-transport-belt"] = 2,
	["underground-belt"] = 2,
	["fast-underground-belt"] = 2,
	["express-underground-belt"] = 2,
	["splitter"] = 1,
	["fast-splitter"] = 1,
	["express-splitter"] = 1,
	["rail"] = 10,
	["rail-signal"] = 1,
	["rail-chain-signal"] = 1,
	["train-stop"] = 1,
	["cliff-explosives"] = 1,
	["inserter"] = 1,
	["long-handed-inserter"] = 1,
	["fast-inserter"] = 1,
	["filter-inserter"] = 1,
	["stack-inserter"] = 1,
	["stack-filter-inserter"] = 1
}

--------------------------------------
-- MIXED ORES
--------------------------------------
ore_raffle_mixed = {
	"iron-ore", "iron-ore", "iron-ore", "copper-ore", "copper-ore", "coal", "stone"
}