--DE333 server #7

if DE333_SERVER_7 then 
	-- SERVER SPECIFIC MSG
	WELCOME_MSG = "[img=item.rocket-silo][font=default-large-semibold] [color=1,0.1,0.1]W[/color][color=1.0,0.4,0.1]e[/color][color=1.0,0.8,0.0]l[/color][color=0.4,0.7,0.2]c[/color][color=0.2,0.5,0.8]o[/color][color=0.5,0.4,0.9]m[/color][color=0.6,0,0.8]e[/color] to DE333-SERVER.EU - #7 OARC CO-OP HARD [/font][img=item.rocket-silo]"
	WELCOME_MSG_TITLE = "[img=item.rocket-silo][font=default-large-semibold] Welcome to DE333-SERVER.EU - #7 OARC CO-OP [/font][img=item.rocket-silo]"
	SERVER_MSG = "[img=info][font=default-dropdown] Rules: Be polite. Ask before changing other players's stuff.[/font]\n"..
	"[img=info][font=default-dropdown] Don´t kill other PLAYER´S ,ALL PLAYERS OR TEAMS ARE FRIENDLY!!![/font]\n"..
	"[img=info][font=default-dropdown][color=1,0.1,0.1] NEXT RESET 20.11!!![/color][/font]\n"..
	" \n"..
	"[img=info][font=default-dropdown][color=1,0.1,0.1] WARNING!!![/color]  [img=entity.behemoth-spitter] HARDCORE BITER ON THIS SERVER  [/font][img=entity.behemoth-spitter]\n"..
	" \n"..
	"[img=info][font=default-dropdown] HOME: https://de333-server.eu/[/font]"
	SCENARIO_INFO_MSG = "[img=info][font=default-dropdown] What is this????:[/font]\n"..
	"[font=default-dropdown]    This scenario gives you and/or your friends your own starting area.[/font]\n"..
	"[font=default-dropdown]    You can be on the main team or your own. All TEAMS are FRIENDLY[/font]"
	SPAWN_WARN_MSG = "[img=info] If you leave in the first 15 minutes, your base and character will be deleted!"
	CONTACT_MSG = "[img=info][font=default-dropdown][color=0.4,0.7,1] DISCORD:[/color][color=1,1,1] https://discord.gg/jPhNKBb[/color][/font]"
	
	-- SERVER SPECIFIC CONFIG
	MAP_NORMAL = true
	MAP_TOXIPLANET = false
	MAP_REDDESERT = false
	MAP_WOODY = false
	MAP_JUNKYARD = false
	MAP_JUNKYARD_V2 = false
	MAP_SALTLAKE = false -- WIP
	
	-- COIN CONFIG
	ENABLE_MARKETS = true
	COIN_BANK_ENABLE = true
	COIN_BOOST_ENABLE = true
	BITERS_YIELD_COINS = true
	ROCKS_YIELD_COINS_ENABLE = true
	WRECKAGE_YIELD_COINS_ENABLE = true
	
	-- TECH UPDATE CONFIG
	LOADERS_ENABLED = true
	RAILGUN_ENABLED = true
	SHOTGUN_BUFF_ENABLED = true
	
	-- WRECKAGE CONFIG
	MINEABLE_WRECKAGE_YIELDS_SCRAP = true
	JUNK_YIELD_ORE_VEINS_ENABLED = false
	
	-- BITER CONFIG
	UNEARTHING_BITERS_WRECKAGE = false
	UNEARTHING_BITERS_NIGHT = false
	TELEPORTING_WORM_ENABLED = true
	BITERS_DOUBLE_HP = true
	BITERS_DOUBLE_DAMAGE = true
	SPAWNERS_DOUBLE_HP = true
	SPAWNERS_CONTAIN_BITERS = true
	SPAWNERS_CONTAIN_ACID_ENABLED = true
	SPITTER_CONTAIN_ACID_ENABLED = true
	SPLICE = true
	
	-- SPANWER MODULES OPTIONS
	ENABLE_WRECKAGE_SPAWNER = true
	ENABLE_CRASHSITES = true
	
	-- HUNGER & FISH OPTIONS
	REMOVE_FISH_ENABLED = false
	ENABLE_HUNGER = false
	ENABLE_FISH_RESPAWNER = false
	ENABLE_PIRANHA = true
	
	-- AUTOFILL OPTIONS
	AUTOFILL_TURRET_ENABLED = false
	AUTOFILL_VEHICLE_ENABLED = true
	
	-- MISC OPTIONS
	DAYTIME_MULTIPILER = 3
	MAP_CORPSE_MARKER = true
	DYNAMIC_LANDFILL = true
	ROCKS_YIELD_ORE = true
	DISABLED_DECONSTRUCTION_ENABLE = true
	ENABLE_SCRAP_DEFENSE = false
	ROCK_WRECKAGE_HEAL_ENABLED = true
	EXPLOSIVES_ARE_EXPLOSIVE_ENABLED = true
	ENABLE_MIXED_ORES = true
	ENABLE_CREDITS = true
	ENABLE_ANTI_GRIEFING = true
	GHOST_TIME_TO_LIVE = 0 * TICKS_PER_MINUTE
	
-- DISABLED FOR DECUNSTRCTION
disabled_for_deconstruction = {
	["fish"] = true,
	["mineable-wreckage"] = true
}
	
OARC_CFG = {

    -- Misc spawn related config.
    gen_settings = {
        
        -- THIS IS WHAT SETS THE SPAWN CIRCLE SIZE!
        -- Create a circle of land area for the spawn
        -- If you make this much bigger than a few chunks, good luck.
        land_area_tiles = CHUNK_SIZE*3.3,

        -- Allow players to choose to spawn with a moat
        moat_choice_enabled = true,

        -- If you change the spawn area size, you might have to adjust this as well
        moat_size_modifier = 2,

        -- Start resource shape. true = circle, false = square.
        resources_circle_shape = false,

        -- Force the land area circle at the spawn to be fully grass
        force_grass = true,

        -- Spawn a circle/octagon of trees around the base outline.
        tree_circle = false,
        tree_octagon = true,
    },

    -- Safe Spawn Area Options
    -- The default settings here are balanced for my recommended map gen settings (close to train world).
    safe_area =
    {
        -- Safe area has no aliens
        -- This is the radius in tiles of safe area.
        safe_radius = CHUNK_SIZE*20,

        -- Warning area has significantly reduced aliens
        -- This is the radius in tiles of warning area.
        warn_radius = CHUNK_SIZE*30,

        -- 1 : X (spawners alive : spawners destroyed) in this area
        warn_reduction = 20,

        -- Danger area has slightly reduce aliens
        -- This is the radius in tiles of danger area.
        danger_radius = CHUNK_SIZE*40,
		danger_radius2 = CHUNK_SIZE*45,
		danger_radius3 = CHUNK_SIZE*50,

        -- 1 : X (spawners alive : spawners destroyed) in this area
        danger_reduction = 5,
		danger_reduction2 = 1.2,
		danger_reduction3 = 0.6
    },

    -- Location of water strip (horizontal)
    water = {
        x_offset = -3,
        y_offset = -68,
        length = 6
    },

    -- Handle placement of starting resources
    resource_rand_pos_settings =
    {
        -- Autoplace resources (randomly in circle)
        -- This will ignore the fixed x_offset/y_offset values in resource_tiles.
        -- Only works for resource_tiles at the moment, not oil patches/water.
        enabled = false,
        -- Distance from center of spawn that resources are placed.
        radius = 44,
        -- At what angle (in radians) do resources start.
        -- 0 means starts directly east.
        -- Resources are placed clockwise from there.
        angle_offset = 2.32, -- 2.32 is approx SSW.
        -- At what andle do we place the last resource.
        -- angle_offset and angle_final determine spacing and placement.
        angle_final = 4.46 -- 4.46 is approx NNW.
    },

    -- Resource tiles
    -- If you are running with mods like bobs/angels, you'll want to customize this.
    resource_tiles =
    {
        ["iron-ore"] = 
        {
            amount = 2400,
            size = 16,
            x_offset = 16,
            y_offset = -53
        },
        ["copper-ore"] = 
        {
            amount = 2400,
            size = 16,
            x_offset = -16,
            y_offset = -53
        },
        ["stone"] = 
        {
            amount = 2400,
            size = 16,
            x_offset = -46,
            y_offset = -53
        },
        ["coal"] = 
        {
            amount = 2400,
            size = 16,
            x_offset = 46,
            y_offset = -53
        }--,
        -- ["uranium-ore"] = 
        -- {
        --     amount = 0,
        --     size = 0,
        --     x_offset = 17,
        --     y_offset = -34
        -- }

        -- ####### Bobs + Angels #######
        -- DISABLE STARTING OIL PATCHES!
        -- Coal                = coal
        -- Saphirite           = angels-ore1
        -- Stiratite           = angels-ore3
        -- Rubyte              = angels-ore5
        -- Bobmonium           = angels-ore6

        -- ########## Bobs Ore ##########
        -- Iron                = iron-ore
        -- Copper              = copper-ore
        -- Coal                = coal
        -- Stone               = stone
        -- Tin                 = tin-ore
        -- Lead (Galena)       = lead-ore

        -- See https://github.com/Oarcinae/FactorioScenarioMultiplayerSpawn/issues/11#issuecomment-479724909
        -- for full examples.
    },
    
    -- Special resource patches like oil
    resource_patches =
    {
        ["crude-oil"] = 
        {
            num_patches = 3,
            amount = 600000,
            x_offset_start = -62,
            y_offset_start = -53,
            x_offset_next = -4,
            y_offset_next = 0
        }
    },
}
end